root = true

[*]
charset = utf-8
end_of_line = lf
indent_style = space
indent_size = 4
insert_final_newline = true
trim_trailing_whitespace = true
max_line_length = 100

[*.{yml,yaml}]
indent_size = 2

[*.{js,ts,jsx,tsx,json,jsonc}]
indent_size = 2

[*.{md,mdown,mkd,markdown}]
trim_trailing_whitespace = false
max_line_length = 120

[Makefile]
indent_style = tab

[*.py]
indent_size = 4
max_line_length = 100

[{*.bat,*.cmd,*.ps1}]
end_of_line = crlf
